Bug 807354 - xenpv guests fail to find root device
xenpv guests fail to find root device
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: rc
: ---
Assigned To: Andrew Jones
Virtualization Bugs
: Regression
: 807454 808637 (view as bug list)
Depends On:
Blocks: 653816
  Show dependency treegraph
Reported: 2012-03-27 11:12 EDT by Andrew Jones
Modified: 2012-06-20 04:44 EDT (History)
11 users (show)

See Also:
Fixed In Version: kernel-2.6.32-259.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 04:44:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch modifying the conditions (1.23 KB, patch)
2012-03-27 11:54 EDT, Andrew Jones
no flags Details | Diff

  None (edit)
Description Andrew Jones 2012-03-27 11:12:58 EDT
With kernel -256 and later builds xenpv guests will fail to boot due to not finding their root device. From a quick check of the git history, the mostly likely cause is commit 7b34e5d

7b34e5d [virt] xen: initialize platform_pci even if xen_emul_unplug=never

It looks like the problem is that we moved a condition that used to be in an HVM only path into a PV _and_ HVM path. Thus the condition needs to be if (HVM && <condition>).
Comment 1 RHEL Product and Program Management 2012-03-27 11:19:53 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 2 Andrew Jones 2012-03-27 11:54:06 EDT
Created attachment 573110 [details]
patch modifying the conditions
Comment 3 Andrew Jones 2012-03-28 03:45:39 EDT
*** Bug 807454 has been marked as a duplicate of this bug. ***
Comment 4 Aristeu Rozanski 2012-03-30 10:26:10 EDT
Patch(es) available on kernel-2.6.32-259.el6
Comment 6 Andrew Jones 2012-04-02 05:04:32 EDT
*** Bug 808637 has been marked as a duplicate of this bug. ***
Comment 8 Qixiang Wan 2012-04-17 21:29:47 EDT
Verified with kernel-2.6.32-259.el6 and kernel-2.6.32-265.el6. Tested both i386 and x86_64 Xen PV guests, can boot up successfully after the fix. So change this bug to VERIFIED.
Comment 10 errata-xmlrpc 2012-06-20 04:44:16 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.